MantisBT

View Issue Details Jump to Notes ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0006983ardourbugspublic2016-08-25 10:432017-09-03 17:28
Reporterbeefheart 
Assigned Tox42 
PrioritylowSeverityminorReproducibilityalways
StatusassignedResolutionreopened 
PlatformLinuxOSKubuntuOS Version16.04
Product Version5.0 
Target VersionFixed in Version 
Summary0006983: The plugin manager adds plugins to the track in the reverse order
DescriptionIf you select multiple plugins in the plugin manager and then add them to a track/bus the plugins are added in the opposite order that you selected them in the manager.

Select plugins to add in this order:
plugin a
plugin b
plugin c

Plugins are added in this order:
plugin c
plugin b
plugin a
TagsNo tags attached.
Attached Filespatch file icon 0001-Fix-copying-and-pasting-processors-plugins-pre-fader.patch [^] (1,750 bytes) 2017-09-03 17:26 [Show Content]

- Relationships
duplicate of 0005705resolvedLeatuspenguin Plugins load up in reverse order from what the plugin manager shows 
related to 0007416new Plugings copy paste of plugins (very!) challenging 

-  Notes
(0018481)
TheCranston (reporter)
2016-08-25 10:45

I've seen the same behavior as well on the Mac OS X version of 5
(0018483)
Leatuspenguin (reporter)
2016-08-25 13:09

Duplicate of #5705
(0018512)
beefheart (reporter)
2016-08-29 10:48

I've just noticed that this also happens with copy and pasting a bunch of fx from one track to another, the order gets reversed on the destination track as well.
(0019866)
x42 (administrator)
2017-07-06 16:59

Fixed since Ardour 5.10-211-g608f99ad1
(0019993)
beefheart (reporter)
2017-08-29 01:42

Testing 5.11 and this is not fixed entirely. Selecting the plugins, ctrl+c and then ctrl+v on the new track copies the fx in the correct order but if you right click on the selection to copy and then right click in the new track to paste they are inserted in the wrong order.
(0020007)
timbyr (developer)
2017-08-31 05:16

I cannot reproduce the issue you describe with 5.11.

For instance in a new Session with two Tracks, with the first containing a-Compressor, a-Delay and a-EQ post fader in that order. If I select them in the reverse order, i.e eq, delay, compressor and then right click and copy and paste to the second track then the processing order is correct (comp -> delay -> eq)

Perhaps there is some detail I am missing, so can you please provide a more explicit set of instructions to reproduce.
(0020008)
beefheart (reporter)
2017-08-31 05:48

Just as you did really, add some plugins to a track prefader, select them by clicking the first plugin (or last, don't seem to make much difference) and then shift clicking on the last plugin, right click on the last plugin and copy. Right click on in the prefader fx section of the new track and paste.

I've just noticed that pasting them post fader seems to add them in the correct order but if you paste pre fader on the same track they get put in the wrong order.
(0020010)
timbyr (developer)
2017-08-31 17:30

I can confirm that copy and pasting pre-fader does cause them to be added in the incorrect order with 5.11 and master (5.11.144)
(0020011)
timbyr (developer)
2017-09-03 17:28

I uploaded a patch that should fix the issue with copy and pasting pre-fader. I'm not that familiar with that part of the code so I'll wait for some feedback before committing.

I noticed a few other issues but I don't think there are any regressions after applying the patch.

- Issue History
Date Modified Username Field Change
2016-08-25 10:43 beefheart New Issue
2016-08-25 10:45 TheCranston Note Added: 0018481
2016-08-25 13:09 Leatuspenguin Note Added: 0018483
2016-08-29 10:48 beefheart Note Added: 0018512
2016-08-31 03:11 paul Relationship added duplicate of 0005705
2017-07-06 16:59 x42 Note Added: 0019866
2017-07-06 16:59 x42 Status new => resolved
2017-07-06 16:59 x42 Resolution open => fixed
2017-07-06 16:59 x42 Assigned To => x42
2017-07-06 17:00 x42 Relationship added related to 0007416
2017-08-29 01:42 beefheart Note Added: 0019993
2017-08-29 01:42 beefheart Status resolved => feedback
2017-08-29 01:42 beefheart Resolution fixed => reopened
2017-08-31 05:16 timbyr Note Added: 0020007
2017-08-31 05:48 beefheart Note Added: 0020008
2017-08-31 05:48 beefheart Status feedback => assigned
2017-08-31 17:30 timbyr Note Added: 0020010
2017-09-03 17:26 timbyr File Added: 0001-Fix-copying-and-pasting-processors-plugins-pre-fader.patch
2017-09-03 17:28 timbyr Note Added: 0020011


Copyright © 2000 - 2017 MantisBT Team
Powered by Mantis Bugtracker